# Generated by Django 2.2.3 on 2020-05-13 16:09

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Hook',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('url_in', models.CharField(max_length=50, unique=True)),
                ('url_out', django.contrib.postgres.fields.jsonb.JSONField()),
                ('title', models.CharField(blank=True, max_length=50, null=True)),
                ('code', models.TextField()),
                ('data_header', django.contrib.postgres.fields.jsonb.JSONField()),
                ('method', models.CharField(blank=True, max_length=50, null=True)),
                ('status', models.BooleanField(default=True)),
            ],
            options={
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='HookSend',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('data_get_in', django.contrib.postgres.fields.jsonb.JSONField()),
                ('data_post_in', django.contrib.postgres.fields.jsonb.JSONField()),
                ('data_get_out', django.contrib.postgres.fields.jsonb.JSONField()),
                ('data_post_out', django.contrib.postgres.fields.jsonb.JSONField()),
                ('hook', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='actions.Hook')),
            ],
            options={
                'ordering': ['-hook'],
            },
        ),
        migrations.CreateModel(
            name='HistoricalHookSend',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('data_get_in', django.contrib.postgres.fields.jsonb.JSONField()),
                ('data_post_in', django.contrib.postgres.fields.jsonb.JSONField()),
                ('data_get_out', django.contrib.postgres.fields.jsonb.JSONField()),
                ('data_post_out', django.contrib.postgres.fields.jsonb.JSONField()),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
                ('hook', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='actions.Hook')),
            ],
            options={
                'verbose_name': 'historical hook send',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
        migrations.CreateModel(
            name='HistoricalHook',
            fields=[
                ('id', models.IntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('created', models.DateTimeField(blank=True, editable=False)),
                ('status_field', models.BooleanField(default=True)),
                ('id_data', models.UUIDField(blank=True, db_index=True, null=True)),
                ('url_in', models.CharField(db_index=True, max_length=50)),
                ('url_out', django.contrib.postgres.fields.jsonb.JSONField()),
                ('title', models.CharField(blank=True, max_length=50, null=True)),
                ('code', models.TextField()),
                ('data_header', django.contrib.postgres.fields.jsonb.JSONField()),
                ('method', models.CharField(blank=True, max_length=50, null=True)),
                ('status', models.BooleanField(default=True)),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField()),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical hook',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': 'history_date',
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
